Skip to main content
PATCH
/
api
/
v1
/
contacts
/
{contactId}
Partially update contact
curl --request PATCH \
  --url https://api.contracting.kukkingu.software/api/v1/contacts/{contactId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenant-id: <tenant-id>' \
  --data '
{
  "name": "Jane Doe",
  "salutation": "Ms.",
  "isDefault": true,
  "order": 13
}
'
{
  "data": {
    "id": "con_xlbg6ubfio7tzvsijyp5794c",
    "client": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
    "emails": [
      "eml_vfj7s2ym02jvykrnbl9xufrt"
    ],
    "addresses": [
      "adr_ekq4ymw1nyyd4b6k6f5tg3t6"
    ],
    "name": "Jane Doe",
    "isDefault": true,
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "salutation": "Ms.",
    "order": 13
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Path Parameters

contactId
string
required

The ID of the contact.

Example:

"con_xlbg6ubfio7tzvsijyp5794c"

Body

application/json

Request body used to partially update an existing contact resource.

Request body used to partially update an existing contact resource.

name
string

The full name of the contact.

Required string length: 1 - 255
Example:

"Jane Doe"

salutation
string

The salutation of the contact.

Maximum string length: 50
Example:

"Ms."

isDefault
boolean

Whether the contact is the default contact for a client.

Example:

true

order
integer

Order of the resource for sorting purposes.

Required range: 0 <= x <= 9007199254740991
Example:

13

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Contact resource returned by the API.